<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2012 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */

class Mrtfu_Core {

  static function stats() {
    $mrtfu_items = db::build()
      ->select("id")
      ->from("mrtfu_items")
      ->where("task_done", "!=", "1")
      ->execute()
      ->count();

    $total_items = db::build()
      ->select("id")
      ->from("mrtfu_items")
      ->execute()
      ->count();
 
    if(!$total_items) {
      return array(0, 0, 0);
    }
    return array($mrtfu_items, $total_items,
		 round(100 * (($total_items - $mrtfu_items) / $total_items)));
  }

  static function do_the_mrtfu($item) {
    $action = "";
    $itemrec = ORM::factory("item", $item->item_id);
    if($itemrec->loaded()){
      if($item->item_name){
	$itemrec->name = $item->item_name;
	$action = 1;
      }
      if($item->item_title){
	$itemrec->title = $item->item_title;
	$action = 1;
      }
      if($item->item_url){
	$itemrec->slug = $item->item_url;
	$action = 1;
      }
      if($action){
	$itemrec->save();
	$action = "";
      }
      db::build()
	->update("mrtfu_items")
	->set(array("task_done" => "1"))
	->where("id", "=", $item->id)
	->execute();
    }
  }

  static function check_index() {
    list ($remaining) = mrtfu::stats();
    if ($remaining) {
      site_status::warning(
	t('You have pending MRTFU tasks.  <a href="%url" class="g-dialog-link">Run them now</a>',
	  array("url" => html::mark_clean(url::site("admin/maintenance/start/mrtfu_task::do_mrtfu?csrf=__CSRF__")))),
	  "mrtfu_task_created");
    }
  }
}
