<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2012 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301!
 */
class mrtfu_installer {
  static function install() {
    // Create table if it doesn't exist for mrtfu storage
    $db = Database::instance();
    $db->query("CREATE TABLE IF NOT EXISTS {mrtfu_items} (
               `id` int(9) NOT NULL auto_increment,
               `item_id` int(9) NOT NULL,
               `item_name` varchar(255) NOT NULL,
               `item_title` varchar(255) NOT NULL,
               `item_url` varchar(255) NOT NULL,
	       `task_done` BOOLEAN default 0,
               PRIMARY KEY (`id`),
               KEY(`item_id`, `id`))
               DEFAULT CHARSET=utf8;");

    // Set the module version number.
    module::set_version("mrtfu", 5);
  }

  static function activate() {
    // Create table if it doesn't exist for mrtfu storage
    $db = Database::instance();
    $db->query("CREATE TABLE IF NOT EXISTS {mrtfu_items} (
               `id` int(9) NOT NULL auto_increment,
               `item_id` int(9) NOT NULL,
               `item_name` varchar(255) NOT NULL,
               `item_title` varchar(255) NOT NULL,
               `item_url` varchar(255) NOT NULL,
	       `task_done` BOOLEAN default 0,
               PRIMARY KEY (`id`),
               KEY(`item_id`, `id`))
               DEFAULT CHARSET=utf8;");

    // Set the module version number.
    module::set_version("mrtfu", 1);
  }

  static function deactivate() {
    Database::instance()->query("DROP TABLE IF EXISTS {mrtfu_items}");
  }

  static function uninstall() {
    Database::instance()->query("DROP TABLE IF EXISTS {mrtfu_items}");
  }

}
